Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire

# Class AsynchronousProcessor

java.lang.Object
org.firebirdsql.gds.ng.wire.AsynchronousProcessor

public final class AsynchronousProcessor extends Object
Process asynchronous channels for notification of events.

Since:
  3.0
Author:
  Mark Rotteveel

## Method Summary

Modifier and Type
Method
Description
`static AsynchronousProcessor`
`getInstance()`
`void`
`registerAsynchronousChannel(FbWireAsynchronousChannel channel)`
Registers an asynchronous channel with the asynchronous processor.
`void`
`shutdown()`
`void`
`unregisterAsynchronousChannel(FbWireAsynchronousChannel channel)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static AsynchronousProcessor getInstance()

Returns:
  Singleton instance

### registerAsynchronousChannel

public void registerAsynchronousChannel(FbWireAsynchronousChannel channel)
Registers an asynchronous channel with the asynchronous processor.

Parameters:
  `channel` - The channel to register

### unregisterAsynchronousChannel

public void unregisterAsynchronousChannel(FbWireAsynchronousChannel channel)

### shutdown

public void shutdown()